## no critic
package Acme::CPANModules_ScenarioR::OrderedHash;

our $VERSION = 0.001; # VERSION

our $results = do{my$var=[[200,"OK",[{_name=>"participant=Tie::LLHash",_succinct_name=>"T:L",errors=>0.00013,participant=>"Tie::LLHash",pct_faster_vs_slowest=>0,pct_slower_vs_fastest=>3.3010752688172,rate=>200,samples=>20,time=>4},{_name=>"participant=Tie::StoredOrderHash",_succinct_name=>"T:S",errors=>7.5e-06,participant=>"Tie::StoredOrderHash",pct_faster_vs_slowest=>0.379310344827586,pct_slower_vs_fastest=>2.11827956989247,rate=>350,samples=>20,time=>2.9},{_name=>"participant=Hash::Ordered",_succinct_name=>"H:O",errors=>8.7e-05,participant=>"Hash::Ordered",pct_faster_vs_slowest=>1,pct_slower_vs_fastest=>1.1505376344086,rate=>600,samples=>32,time=>2},{_name=>"participant=Array::OrdHash",_succinct_name=>"A:O",errors=>2.1e-06,participant=>"Array::OrdHash",pct_faster_vs_slowest=>1.22222222222222,pct_slower_vs_fastest=>0.935483870967742,rate=>540,samples=>20,time=>1.8},{_name=>"participant=Tie::IxHash",_succinct_name=>"T:I",errors=>2.5e-06,participant=>"Tie::IxHash",pct_faster_vs_slowest=>1.66666666666667,pct_slower_vs_fastest=>0.612903225806452,rate=>670,samples=>20,time=>1.5},{_name=>"participant=Tie::Hash::Indexed",_succinct_name=>"TH:I",errors=>5.7e-05,participant=>"Tie::Hash::Indexed",pct_faster_vs_slowest=>3,pct_slower_vs_fastest=>0.075268817204301,rate=>700,samples=>20,time=>1},{_name=>"participant=List::Unique::DeterministicOrder",_succinct_name=>"LU:D",errors=>2.3e-06,participant=>"List::Unique::DeterministicOrder",pct_faster_vs_slowest=>3.3010752688172,pct_slower_vs_fastest=>0,rate=>1100,samples=>20,time=>0.93}],{"func.bencher_args"=>{action=>"bench",note=>"Run by Pod::Weaver::Plugin::Bencher::Scenario",scenario=>{datasets=>[{argv=>["insert",1000],include_by_default=>1,name=>"insert 1000 pairs",seq=>0},{argv=>["delete",1000],include_by_default=>1,name=>"insert 1000 pairs + delete",seq=>1},{argv=>["keys",1000,100],include_by_default=>1,name=>"insert 1000 pairs + return keys 100 times",seq=>2}],description=>"This scenario is generated from <pm:Acme::CPANModules::OrderedHash>.",participants=>[{_name=>"Tie::IxHash",code=>sub{package Acme::CPANModules::OrderedHash;use warnings;use strict;no feature;use feature ':5.10';my($op, $numkeys, $numrep) = @_;tie my %hash, 'Tie::IxHash';foreach $_ (1 .. $numkeys) {$hash{"key$_"} = $_;}if ($op eq 'delete') {foreach $_ (1 .. $numkeys) {delete $hash{"key$_"};}}elsif ($op eq 'keys') {foreach $_ (1 .. $numrep) {my(@keys) = keys %hash;}}},include_by_default=>1,module=>"Tie::IxHash",seq=>0,type=>"perl_code"},{_name=>"Hash::Ordered",code=>sub{package Acme::CPANModules::OrderedHash;use warnings;use strict;no feature;use feature ':5.10';my($op, $numkeys, $numrep) = @_;my $hash = 'Hash::Ordered'->new;foreach $_ (1 .. $numkeys) {$hash->set("key$_", $_);}if ($op eq 'delete') {foreach $_ (1 .. $numkeys) {$hash->delete("key$_");}}elsif ($op eq 'keys') {foreach $_ (1 .. $numrep) {my(@keys) = $hash->keys;}}},include_by_default=>1,module=>"Hash::Ordered",seq=>1,type=>"perl_code"},{_name=>"Tie::Hash::Indexed",code=>sub{package Acme::CPANModules::OrderedHash;use warnings;use strict;no feature;use feature ':5.10';my($op, $numkeys, $numrep) = @_;tie my %hash, 'Tie::Hash::Indexed';foreach $_ (1 .. $numkeys) {$hash{"key$_"} = $_;}if ($op eq 'delete') {foreach $_ (1 .. $numkeys) {delete $hash{"key$_"};}}elsif ($op eq 'keys') {foreach $_ (1 .. $numrep) {my(@keys) = keys %hash;}}},include_by_default=>1,module=>"Tie::Hash::Indexed",seq=>2,type=>"perl_code"},{_name=>"Tie::LLHash",code=>sub{package Acme::CPANModules::OrderedHash;use warnings;use strict;no feature;use feature ':5.10';my($op, $numkeys, $numrep) = @_;tie my %hash, 'Tie::LLHash';foreach $_ (1 .. $numkeys) {tied(%hash)->insert("key$_", $_);}if ($op eq 'delete') {foreach $_ (1 .. $numkeys) {delete $hash{"key$_"};}}elsif ($op eq 'keys') {foreach $_ (1 .. $numrep) {my(@keys) = keys %hash;}}},include_by_default=>1,module=>"Tie::LLHash",seq=>3,type=>"perl_code"},{_name=>"Tie::StoredOrderHash",code=>sub{package Acme::CPANModules::OrderedHash;use warnings;use strict;no feature;use feature ':5.10';my($op, $numkeys, $numrep) = @_;tie my %hash, 'Tie::StoredOrderHash';foreach $_ (1 .. $numkeys) {$hash{"key$_"} = $_;}if ($op eq 'delete') {foreach $_ (1 .. $numkeys) {delete $hash{"key$_"};}}elsif ($op eq 'keys') {foreach $_ (1 .. $numrep) {my(@keys) = keys %hash;}}},include_by_default=>1,module=>"Tie::StoredOrderHash",seq=>4,type=>"perl_code"},{_name=>"Array::OrdHash",code=>sub{package Acme::CPANModules::OrderedHash;use warnings;use strict;no feature;use feature ':5.10';my($op, $numkeys, $numrep) = @_;my $hash = 'Array::OrdHash'->new;foreach $_ (1 .. $numkeys) {$$hash{"key$_"} = $_;}if ($op eq 'delete') {foreach $_ (1 .. $numkeys) {delete $$hash{"key$_"};}}elsif ($op eq 'keys') {foreach $_ (1 .. $numrep) {my(@keys) = keys %$hash;}}},include_by_default=>1,module=>"Array::OrdHash",seq=>5,type=>"perl_code"},{_name=>"List::Unique::DeterministicOrder",code=>sub{package Acme::CPANModules::OrderedHash;use warnings;use strict;no feature;use feature ':5.10';my($op, $numkeys, $numrep) = @_;my $hash = 'List::Unique::DeterministicOrder'->new('data', []);foreach $_ (1 .. $numkeys) {$hash->push("key$_");}if ($op eq 'delete') {foreach $_ (1 .. $numkeys) {$hash->delete("key$_");}}elsif ($op eq 'keys') {foreach $_ (1 .. $numrep) {my(@keys) = $hash->keys;}}},include_by_default=>1,module=>"List::Unique::DeterministicOrder",seq=>6,type=>"perl_code"}],summary=>"List of modules that provide ordered hash data type"}},"func.bencher_version"=>undef,"func.code_startup"=>undef,"func.cpu_info"=>[{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>0,speed=>"1110.580",stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>1,speed=>"1100.670",stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>2,speed=>1087.523,stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>3,speed=>1098.697,stepping=>9}],"func.elapsed_time"=>16.2336051464081,"func.module_startup"=>undef,"func.module_versions"=>{"Array::OrdHash"=>1.03,"Benchmark::Dumb"=>0.503,"Devel::Platform::Info"=>"1.00","Hash::Ordered"=>0.014,"List::Unique::DeterministicOrder"=>0.004,"Sys::Info"=>0.7811,"Tie::Hash::Indexed"=>0.08,"Tie::IxHash"=>1.23,"Tie::LLHash"=>1.004,"Tie::StoredOrderHash"=>0.22,__PACKAGE__=>1.063,perl=>"v5.38.0"},"func.note"=>"Run by Pod::Weaver::Plugin::Bencher::Scenario","func.permute"=>["participant",[0,1,2,3,4,5,6],"perl",["perl"]],"func.platform_info"=>{archname=>"x86_64",codename=>"focal",is32bit=>0,is64bit=>1,kernel=>"linux-5.4.0-91-generic",kname=>"Linux",kvers=>"5.4.0-91-generic",osflag=>"linux",oslabel=>"Ubuntu",osname=>"GNU/Linux",osvers=>20.04,source=>{"cat /etc/.issue"=>"","cat /etc/issue"=>"Ubuntu 20.04.6 LTS \\n \\l","lsb_release -a"=>"LSB Version:\tcore-11.1.0ubuntu2-noarch:printing-11.1.0ubuntu2-noarch:security-11.1.0ubuntu2-noarch\nDistributor ID:\tUbuntu\nDescription:\tUbuntu 20.04.6 LTS\nRelease:\t20.04\nCodename:\tfocal","uname -a"=>"Linux u1-XPS-13-9360 5.4.0-91-generic #102-Ubuntu SMP Fri Nov 5 16:31:28 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux","uname -m"=>"x86_64","uname -o"=>"GNU/Linux","uname -r"=>"5.4.0-91-generic","uname -s"=>"Linux"}},"func.precision"=>0,"func.time_end"=>1696502758.65209,"func.time_factor"=>1,"func.time_start"=>1696502742.41848,"table.field_aligns"=>["left","number","number","number","number","number","number","number","number","number","number"],"table.field_formats"=>[undef,undef,undef,"percent","percent","percent","percent","percent","percent",undef,undef],"table.field_units"=>[undef,"/s","ms",undef,undef,undef,undef],"table.fields"=>["participant","rate","time","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","errors","samples"]}],[200,"OK",[{_name=>"participant=Tie::IxHash",_succinct_name=>"T:I",errors=>0.00034,participant=>"Tie::IxHash",pct_faster_vs_slowest=>0,pct_slower_vs_fastest=>40.875,rate=>15,samples=>20,time=>67},{_name=>"participant=Tie::StoredOrderHash",_succinct_name=>"T:S",errors=>8.4e-05,participant=>"Tie::StoredOrderHash",pct_faster_vs_slowest=>10.1666666666667,pct_slower_vs_fastest=>2.75,rate=>200,samples=>21,time=>6},{_name=>"participant=Tie::LLHash",_succinct_name=>"T:L",errors=>0.00013,participant=>"Tie::LLHash",pct_faster_vs_slowest=>12.4,pct_slower_vs_fastest=>2.125,rate=>200,samples=>20,time=>5},{_name=>"participant=Array::OrdHash",_succinct_name=>"A:O",errors=>1.5e-05,participant=>"Array::OrdHash",pct_faster_vs_slowest=>16.6315789473684,pct_slower_vs_fastest=>1.375,rate=>270,samples=>20,time=>3.8},{_name=>"participant=Hash::Ordered",_succinct_name=>"H:O",errors=>3.4e-05,participant=>"Hash::Ordered",pct_faster_vs_slowest=>21.3333333333333,pct_slower_vs_fastest=>0.875,rate=>300,samples=>22,time=>3},{_name=>"participant=Tie::Hash::Indexed",_succinct_name=>"TH:I",errors=>6.7e-05,participant=>"Tie::Hash::Indexed",pct_faster_vs_slowest=>32.5,pct_slower_vs_fastest=>0.25,rate=>500,samples=>20,time=>2},{_name=>"participant=List::Unique::DeterministicOrder",_succinct_name=>"LU:D",errors=>4.3e-06,participant=>"List::Unique::DeterministicOrder",pct_faster_vs_slowest=>40.875,pct_slower_vs_fastest=>0,rate=>610,samples=>20,time=>1.6}],{"func.bencher_args"=>{action=>"bench",note=>"Run by Pod::Weaver::Plugin::Bencher::Scenario",scenario=>{datasets=>[{argv=>["insert",1000],include_by_default=>1,name=>"insert 1000 pairs",seq=>0},{argv=>["delete",1000],include_by_default=>1,name=>"insert 1000 pairs + delete",seq=>1},{argv=>["keys",1000,100],include_by_default=>1,name=>"insert 1000 pairs + return keys 100 times",seq=>2}],description=>"This scenario is generated from <pm:Acme::CPANModules::OrderedHash>.",participants=>[{_name=>"Tie::IxHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[0]{code}',include_by_default=>1,module=>"Tie::IxHash",seq=>0,type=>"perl_code"},{_name=>"Hash::Ordered",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[1]{code}',include_by_default=>1,module=>"Hash::Ordered",seq=>1,type=>"perl_code"},{_name=>"Tie::Hash::Indexed",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[2]{code}',include_by_default=>1,module=>"Tie::Hash::Indexed",seq=>2,type=>"perl_code"},{_name=>"Tie::LLHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[3]{code}',include_by_default=>1,module=>"Tie::LLHash",seq=>3,type=>"perl_code"},{_name=>"Tie::StoredOrderHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[4]{code}',include_by_default=>1,module=>"Tie::StoredOrderHash",seq=>4,type=>"perl_code"},{_name=>"Array::OrdHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[5]{code}',include_by_default=>1,module=>"Array::OrdHash",seq=>5,type=>"perl_code"},{_name=>"List::Unique::DeterministicOrder",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[6]{code}',include_by_default=>1,module=>"List::Unique::DeterministicOrder",seq=>6,type=>"perl_code"}],summary=>"List of modules that provide ordered hash data type"}},"func.bencher_version"=>undef,"func.code_startup"=>undef,"func.cpu_info"=>[{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>0,speed=>"1110.580",stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>1,speed=>"1100.670",stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>2,speed=>1087.523,stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>3,speed=>1098.697,stepping=>9}],"func.elapsed_time"=>16.2336051464081,"func.module_startup"=>undef,"func.module_versions"=>{"Array::OrdHash"=>1.03,"Benchmark::Dumb"=>0.503,"Devel::Platform::Info"=>"1.00","Hash::Ordered"=>0.014,"List::Unique::DeterministicOrder"=>0.004,"Sys::Info"=>0.7811,"Tie::Hash::Indexed"=>0.08,"Tie::IxHash"=>1.23,"Tie::LLHash"=>1.004,"Tie::StoredOrderHash"=>0.22,__PACKAGE__=>1.063,perl=>"v5.38.0"},"func.note"=>"Run by Pod::Weaver::Plugin::Bencher::Scenario","func.permute"=>["participant",[0,1,2,3,4,5,6],"perl",["perl"]],"func.platform_info"=>{archname=>"x86_64",codename=>"focal",is32bit=>0,is64bit=>1,kernel=>"linux-5.4.0-91-generic",kname=>"Linux",kvers=>"5.4.0-91-generic",osflag=>"linux",oslabel=>"Ubuntu",osname=>"GNU/Linux",osvers=>20.04,source=>{"cat /etc/.issue"=>"","cat /etc/issue"=>"Ubuntu 20.04.6 LTS \\n \\l","lsb_release -a"=>"LSB Version:\tcore-11.1.0ubuntu2-noarch:printing-11.1.0ubuntu2-noarch:security-11.1.0ubuntu2-noarch\nDistributor ID:\tUbuntu\nDescription:\tUbuntu 20.04.6 LTS\nRelease:\t20.04\nCodename:\tfocal","uname -a"=>"Linux u1-XPS-13-9360 5.4.0-91-generic #102-Ubuntu SMP Fri Nov 5 16:31:28 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux","uname -m"=>"x86_64","uname -o"=>"GNU/Linux","uname -r"=>"5.4.0-91-generic","uname -s"=>"Linux"}},"func.precision"=>0,"func.time_end"=>1696502758.65209,"func.time_factor"=>1,"func.time_start"=>1696502742.41848,"table.field_aligns"=>["left","number","number","number","number","number","number","number","number","number","number"],"table.field_formats"=>[undef,undef,undef,"percent","percent","percent","percent","percent","percent",undef,undef],"table.field_units"=>[undef,"/s","ms",undef,undef,undef,undef],"table.fields"=>["participant","rate","time","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","errors","samples"]}],[200,"OK",[{_name=>"participant=Tie::LLHash",_succinct_name=>"T:L",errors=>0.0049,participant=>"Tie::LLHash",pct_faster_vs_slowest=>0,pct_slower_vs_fastest=>8.09090909090909,rate=>8,samples=>20,time=>100},{_name=>"participant=Tie::StoredOrderHash",_succinct_name=>"T:S",errors=>0.0019,participant=>"Tie::StoredOrderHash",pct_faster_vs_slowest=>0,pct_slower_vs_fastest=>8.09090909090909,rate=>8,samples=>20,time=>100},{_name=>"participant=Array::OrdHash",_succinct_name=>"A:O",errors=>0.00048,participant=>"Array::OrdHash",pct_faster_vs_slowest=>0.265822784810127,pct_slower_vs_fastest=>6.18181818181818,rate=>13,samples=>21,time=>79},{_name=>"participant=Tie::IxHash",_succinct_name=>"T:I",errors=>0.00015,participant=>"Tie::IxHash",pct_faster_vs_slowest=>0.449275362318841,pct_slower_vs_fastest=>5.27272727272727,rate=>15,samples=>20,time=>69},{_name=>"participant=Tie::Hash::Indexed",_succinct_name=>"TH:I",errors=>0.00071,participant=>"Tie::Hash::Indexed",pct_faster_vs_slowest=>1,pct_slower_vs_fastest=>3.54545454545455,rate=>20,samples=>20,time=>50},{_name=>"participant=Hash::Ordered",_succinct_name=>"H:O",errors=>0.00011,participant=>"Hash::Ordered",pct_faster_vs_slowest=>5.25,pct_slower_vs_fastest=>0.454545454545455,rate=>61,samples=>20,time=>16},{_name=>"participant=List::Unique::DeterministicOrder",_succinct_name=>"LU:D",errors=>9.1e-05,participant=>"List::Unique::DeterministicOrder",pct_faster_vs_slowest=>8.09090909090909,pct_slower_vs_fastest=>0,rate=>94,samples=>20,time=>11}],{"func.bencher_args"=>{action=>"bench",note=>"Run by Pod::Weaver::Plugin::Bencher::Scenario",scenario=>{datasets=>[{argv=>["insert",1000],include_by_default=>1,name=>"insert 1000 pairs",seq=>0},{argv=>["delete",1000],include_by_default=>1,name=>"insert 1000 pairs + delete",seq=>1},{argv=>["keys",1000,100],include_by_default=>1,name=>"insert 1000 pairs + return keys 100 times",seq=>2}],description=>"This scenario is generated from <pm:Acme::CPANModules::OrderedHash>.",participants=>[{_name=>"Tie::IxHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[0]{code}',include_by_default=>1,module=>"Tie::IxHash",seq=>0,type=>"perl_code"},{_name=>"Hash::Ordered",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[1]{code}',include_by_default=>1,module=>"Hash::Ordered",seq=>1,type=>"perl_code"},{_name=>"Tie::Hash::Indexed",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[2]{code}',include_by_default=>1,module=>"Tie::Hash::Indexed",seq=>2,type=>"perl_code"},{_name=>"Tie::LLHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[3]{code}',include_by_default=>1,module=>"Tie::LLHash",seq=>3,type=>"perl_code"},{_name=>"Tie::StoredOrderHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[4]{code}',include_by_default=>1,module=>"Tie::StoredOrderHash",seq=>4,type=>"perl_code"},{_name=>"Array::OrdHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[5]{code}',include_by_default=>1,module=>"Array::OrdHash",seq=>5,type=>"perl_code"},{_name=>"List::Unique::DeterministicOrder",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[6]{code}',include_by_default=>1,module=>"List::Unique::DeterministicOrder",seq=>6,type=>"perl_code"}],summary=>"List of modules that provide ordered hash data type"}},"func.bencher_version"=>undef,"func.code_startup"=>undef,"func.cpu_info"=>[{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>0,speed=>"1110.580",stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>1,speed=>"1100.670",stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>2,speed=>1087.523,stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>3,speed=>1098.697,stepping=>9}],"func.elapsed_time"=>16.2336051464081,"func.module_startup"=>undef,"func.module_versions"=>{"Array::OrdHash"=>1.03,"Benchmark::Dumb"=>0.503,"Devel::Platform::Info"=>"1.00","Hash::Ordered"=>0.014,"List::Unique::DeterministicOrder"=>0.004,"Sys::Info"=>0.7811,"Tie::Hash::Indexed"=>0.08,"Tie::IxHash"=>1.23,"Tie::LLHash"=>1.004,"Tie::StoredOrderHash"=>0.22,__PACKAGE__=>1.063,perl=>"v5.38.0"},"func.note"=>"Run by Pod::Weaver::Plugin::Bencher::Scenario","func.permute"=>["participant",[0,1,2,3,4,5,6],"perl",["perl"]],"func.platform_info"=>{archname=>"x86_64",codename=>"focal",is32bit=>0,is64bit=>1,kernel=>"linux-5.4.0-91-generic",kname=>"Linux",kvers=>"5.4.0-91-generic",osflag=>"linux",oslabel=>"Ubuntu",osname=>"GNU/Linux",osvers=>20.04,source=>{"cat /etc/.issue"=>"","cat /etc/issue"=>"Ubuntu 20.04.6 LTS \\n \\l","lsb_release -a"=>"LSB Version:\tcore-11.1.0ubuntu2-noarch:printing-11.1.0ubuntu2-noarch:security-11.1.0ubuntu2-noarch\nDistributor ID:\tUbuntu\nDescription:\tUbuntu 20.04.6 LTS\nRelease:\t20.04\nCodename:\tfocal","uname -a"=>"Linux u1-XPS-13-9360 5.4.0-91-generic #102-Ubuntu SMP Fri Nov 5 16:31:28 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux","uname -m"=>"x86_64","uname -o"=>"GNU/Linux","uname -r"=>"5.4.0-91-generic","uname -s"=>"Linux"}},"func.precision"=>0,"func.time_end"=>1696502758.65209,"func.time_factor"=>1,"func.time_start"=>1696502742.41848,"table.field_aligns"=>["left","number","number","number","number","number","number","number","number","number","number"],"table.field_formats"=>[undef,undef,undef,"percent","percent","percent","percent","percent","percent",undef,undef],"table.field_units"=>[undef,"/s","ms",undef,undef,undef,undef],"table.fields"=>["participant","rate","time","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","errors","samples"]}]];$var->[1][3]{"func.bencher_args"}{scenario}{participants}[0]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[0]{code};$var->[1][3]{"func.bencher_args"}{scenario}{participants}[1]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[1]{code};$var->[1][3]{"func.bencher_args"}{scenario}{participants}[2]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[2]{code};$var->[1][3]{"func.bencher_args"}{scenario}{participants}[3]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[3]{code};$var->[1][3]{"func.bencher_args"}{scenario}{participants}[4]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[4]{code};$var->[1][3]{"func.bencher_args"}{scenario}{participants}[5]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[5]{code};$var->[1][3]{"func.bencher_args"}{scenario}{participants}[6]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[6]{code};$var->[2][3]{"func.bencher_args"}{scenario}{participants}[0]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[0]{code};$var->[2][3]{"func.bencher_args"}{scenario}{participants}[1]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[1]{code};$var->[2][3]{"func.bencher_args"}{scenario}{participants}[2]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[2]{code};$var->[2][3]{"func.bencher_args"}{scenario}{participants}[3]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[3]{code};$var->[2][3]{"func.bencher_args"}{scenario}{participants}[4]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[4]{code};$var->[2][3]{"func.bencher_args"}{scenario}{participants}[5]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[5]{code};$var->[2][3]{"func.bencher_args"}{scenario}{participants}[6]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[6]{code};$var};

1;
# ABSTRACT: List of modules that provide ordered hash data type

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Acme::CPANModules_ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

